summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLusheng Ji <lji@research.att.com>2018-07-16 22:56:35 -0400
committerLusheng Ji <lji@research.att.com>2018-07-16 22:56:40 -0400
commit719a5c0ce0a49cb156993fb0aeabfb3dd49b50a6 (patch)
tree9f0831c0203cd5b1132c07c1b0980346da920b19
parent8db18d78975af115f44c84c170f678fc34001789 (diff)
Update release tag
Issue-ID: DCAEGEN2-499 Change-Id: I1c28ccd0b5e3322347a6ea00c756086848bff9d6 Signed-off-by: Lusheng Ji <lji@research.att.com>
-rwxr-xr-xmvn-phase-script.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/mvn-phase-script.sh b/mvn-phase-script.sh
index 2745340..516eff9 100755
--- a/mvn-phase-script.sh
+++ b/mvn-phase-script.sh
@@ -27,9 +27,16 @@ MVN_PHASE="$2"
PROJECT_ROOT=$(dirname $0)
set -e
+RELEASE_TAG=${MVN_RELEASE_TAG:-R3}
+if [ "$RELEASE_TAG" != "R1" ]; then
+ RELEASE_TAGGED_DIR="${RELEASE_TAG}/"
+else
+ RELEASE_TAGGED_DIR="releases"
+fi
if ! wget -O ${PROJECT_ROOT}/mvn-phase-lib.sh \
- "$MVN_RAWREPO_BASEURL_DOWNLOAD"/org.onap.dcaegen2.utils/R2/scripts/mvn-phase-lib.sh; then
- cp "${PROJECT_ROOT}"/scripts/mvn-phase-lib.sh "${PROJECT_ROOT}/mvn-phase-lib.sh"
+ "$MVN_RAWREPO_BASEURL_DOWNLOAD"/org.onap.dcaegen2.utils/${RELEASE_TAGGED_DIR}scripts/mvn-phase-lib.sh; then
+ echo "Fail to download mvn-phase-lib.sh"
+ exit 1
fi
source "${PROJECT_ROOT}"/mvn-phase-lib.sh